Set JDBC Driver Class

Answered

I'm trying to connect to a CacheDB instance and IDEA doesn't seem to have support out of the box.  My issue is that when trying to create a new driver they only choice in the drop down is "java.sql.Driver" which is incorrect and uneditable.  <Default> and <Generic> dialects don't seem to help or make the field editable. I've added the JDBC jar to the "Driver Files" section but still no valid choice.  

How can I edit this driver definition to use the correct driver class "com.intersys.jdbc.CacheDriver"

2 comments

Hello Adam,

>My issue is that when trying to create a new driver they only choice in the drop down is "java.sql.Driver" which is incorrect and uneditable.

When you specify the driver jar in the settings, the drop-down should list jdbc driver class from the jar. Can you provide a jar file to check? Does it have "com.intersys.jdbc.CacheDriver" class?

Works for me with `cachejdbc.jar`:

1

You are correct; total user error on my part.  With a proper .jar file it works perfectly.

 

Thanks!

0

Please sign in to leave a comment.